%define major 11
%define libname_orig %mklibname %{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define gpg_version 1.2.2
%define gpgsm_version 1.9.6

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	1.6.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.xz
BuildRequires:	gnupg >= %{gpg_version}
BuildRequires:	gnupg2 >= %{gpgsm_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libassuan-devel
BuildRequires:	libgpg-error-devel >= 0.5
BuildRequires:	libglib2-devel >= 2.0.0
BuildRequires:	multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{gpg_version}
Requires:	gnupg2 >= %{gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{develname}
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 11 -d

%description -n %{develname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q

%build
%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info


%files -n %{libname}
%defattr(-,root,root)
%{_bindir}/gpgme-tool
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%multiarch %{multiarch_bindir}/gpgme-config
%{_bindir}/gpgme-config
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_infodir}/*
%dir %{_datadir}/common-lisp/source/gpgme
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp


%changelog
* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.0-1pclos2015
- 1.6.0

* Mon Jul 13 2015 ghostbunny <ghostbunny at gmx dot de> 1.5.5-1pclos2015
- 1.5.5

* Tue Apr 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.5.4-1pclos2015
- 1.5.4

* Mon Dec 22 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.3-1pclos2014
- 1.5.3

* Fri Nov 28 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.2-1pclos2014
- 1.5.2

* Thu Jul 31 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.1-1pclos2014
- 1.5.1

* Sat Jun 14 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.0-1pclos2014
- 1.5.0

* Tue Aug 20 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.3-1pclos2013
- 1.4.3

* Fri Jun 07 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.1-1pclos2013
- 1.4.1

* Tue Aug 31 2010 Texstar <texstar at gmail.com> 1.3.0-1pclos2010
- 1.3.0

* Thu Apr 09 2009 pcserver <pcserver@hushmail.com> 1.1.8-1pclos2007
- update

